## org.apache.hadoop.io.serializer
Class JavaSerializationComparator<T extends Serializable & Comparable<T>>

    java.lang.Object
      org.apache.hadoop.io.serializer.DeserializerComparator<T>
          org.apache.hadoop.io.serializer.JavaSerializationComparator<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  Comparator<T>, RawComparator<T>

    public class JavaSerializationComparator<T extends Serializable & Comparable<T>>

extends DeserializerComparator<T>

A `RawComparator` that uses a `JavaSerialization` `Deserializer` to deserialize objects that are then compared via their `Comparable` interfaces.

See Also:
  `JavaSerialization`

Constructor Summary
`JavaSerializationComparator()`

Method Summary
`int` `compare(T o1, T o2)`

Methods inherited from class org.apache.hadoop.io.serializer.DeserializerComparator
`compare`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### JavaSerializationComparator

    public JavaSerializationComparator()
                                throws IOException

Throws:
  `IOException`

Method Detail

### compare

    public int compare(T o1,
                       T o2)

Copyright © 2009 The Apache Software Foundation